def heron(a,u,n):
    if u <=0:
        return "Le premier terme doit être strictement positif."
    elif a <= 0:
        return "La valeur de 'a' doit être strictement positive."
    else:
        L = [ ... ]
        k = 0
        while k < ...:
            u = ...
            L.append(...)
            k = ...
        return ...
